/**
 * AutoDAO - Generic DAO on steroids implementation for Java.
 * Copyright (C) 2008-2009  Marat Radchenko <slonopotamus@users.sourceforge.net>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.autodao.hibernate;

import java.lang.reflect.Method;

import org.hibernate.SessionFactory;

/**
 * Hibernate-related helper utils.
 * <p/>
 * NOT FOR PUBLIC USE.
 */
final class HibernateUtils {

  private HibernateUtils() {
  }

  public static String getNamedQueryName(final SessionFactory sf, final Class c, final Method m) {
    return sf.getClassMetadata(c).getEntityName() + "." + m.getName();
  }
}
